import React from 'react';
export interface ITransformContext {
    scale: number;
    minScale: number;
    maxScale: number;
    offsetX: number;
    offsetY: number;
    setScale: (scale: number) => void;
    setOffsetX: (offsetX: number) => void;
    setOffsetY: (offsetY: number) => void;
}
export declare const TransformContext: React.Context<ITransformContext>;
/**
 * Hook to provide the transform context
 */
export declare const useTransform: () => ITransformContext;
export declare const TransformConsumer: React.Consumer<ITransformContext>;
